﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Calculator
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ButtonAdd.Click += ButtonAdd_Click;
            ButtonMinus.Click += ButtonMinus_Click;
            ButtonSub.Click += ButtonSub_Click;
            ButtonDiv.Click += ButtonDiv_Click;
            ButtonSin.Click += ButtonSin_Click;
            ButtonPro.Click += ButtonPro_Click;
            ButtonStep.Click += ButtonStep_Click;
            ButtonKor.Click += ButtonKor_Click;
            ButtonLog.Click += ButtonLog_Click;
            ButtonCtg.Click += ButtonCtg_Click;
            ButtonStep.Click += ButtonStep_Click;
        }

        private void ButtonDiv_Click(object sender, RoutedEventArgs e)
        {
            int num1 = int.Parse(TextBoxNum1.Text);
            int num2 = int.Parse(TextBoxNum2.Text);

            int tot = num1 / num2;

            TextBoxTotal.Text = tot.ToString();
        }
        private void ButtonSin_Click(object sender, RoutedEventArgs e)
        {
            double num1 = double.Parse(TextBoxNum1.Text);

            double tot = Math.Sin(num1);

            TextBoxTotal.Text = tot.ToString();
        }
        private void ButtonPro_Click(object sender, RoutedEventArgs e)
        {
            int num1 = int.Parse(TextBoxNum1.Text);
            int num2 = int.Parse(TextBoxNum2.Text);

            int tot = (num1 * num2) / 100;

            TextBoxTotal.Text = tot.ToString();
        }
        private void ButtonStep_Click(object sender, RoutedEventArgs e)
        {
            double num1 = double.Parse(TextBoxNum1.Text);
            double num2 = double.Parse(TextBoxNum2.Text);

            double tot = Math.Pow(num1, num2);

            TextBoxTotal.Text = tot.ToString();
        }
        private void ButtonKor_Click(object sender, RoutedEventArgs e)
        {
            double num1 = double.Parse(TextBoxNum1.Text);

            double tot = Math.Sqrt(num1);

            TextBoxTotal.Text = tot.ToString();
        }
        private void ButtonLog_Click(object sender, RoutedEventArgs e)
        {
            double num1 = double.Parse(TextBoxNum1.Text);

            double tot = Math.Log(num1);

            TextBoxTotal.Text = tot.ToString();
        }
        private void ButtonCtg_Click(object sender, RoutedEventArgs e)
        {
            double num1 = double.Parse(TextBoxNum1.Text);

            double tot = Math.Tan(num1);

            TextBoxTotal.Text = tot.ToString();
        }
        private void ButtonSub_Click(object sender, RoutedEventArgs e)
        {
            int num1 = int.Parse(TextBoxNum1.Text);
            int num2 = int.Parse(TextBoxNum2.Text);

            int tot = num1 * num2;

            TextBoxTotal.Text = tot.ToString();
        }

        private void ButtonMinus_Click(object sender, RoutedEventArgs e)
        {
            int num1 = int.Parse(TextBoxNum1.Text);
            int num2 = int.Parse(TextBoxNum2.Text);

            int tot = num1 - num2;

            TextBoxTotal.Text = tot.ToString();
        }

        private void ButtonAdd_Click(object sender, RoutedEventArgs e)
        {
            int num1 = int.Parse(TextBoxNum1.Text);
            int num2 = int.Parse(TextBoxNum2.Text);

            int tot = num1 + num2;

            TextBoxTotal.Text = tot.ToString();

        }

        static public double Plus(double a, double b)
        {
            return a + b;
        }
        static public double Minus(double a, double b)
        {
            return a - b;
        }
        static public double Multiply(double a, double b)
        {
            return a * b;
        }
        static public double Divide(double a, double b)
        {
            return a / b;
        }
        static public double Power(double a, double b)
        {
            return Math.Pow(a, b);
        }
        static public double Root(double a)
        {
            return Math.Sqrt(a);
        }
        static public double Percent(double a, double b)
        {
            return a / 100 * b;
        }
        static public double Log(double a, double b)
        {
            return Math.Log(a, b);
        }
        static public double Sin(double a)
        {
            return Math.Sin(a);
        }
        static public double Ctg(double a, double b)
        {
            return Math.Cos(a) / Math.Sin(b);
        }
    }
}