﻿using Calculator;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace UnitTestProject1
{
    [TestClass]
    public class UnitTest1
    {
        //10 методов низкой сложности
        [TestMethod]
        public void Minus()
        {
            double result = MainWindow.Minus(1, 1);
            Assert.AreEqual(0, result);
        }
        [TestMethod]
        public void Plus()
        {
            double result = MainWindow.Plus(1, 1);
            Assert.AreEqual(2, result);
        }
        [TestMethod]
        public void PlusNot()
        {
            double result = MainWindow.Plus(33, -2);
            Assert.AreNotEqual(0, result);
        }
        [TestMethod]
        public void Multiply()
        {
            double result = MainWindow.Multiply(3, 3);
            Assert.AreEqual(9, result);
        }
        [TestMethod]
        public void DivideNot()
        {
            double result = MainWindow.Divide(10, 10);
            Assert.AreNotEqual(0, result);
        }
        [TestMethod]
        public void Power()
        {
            double result = MainWindow.Power(10, 2);
            Assert.AreEqual(100, result);
        }
        [TestMethod]
        public void Percent()
        {
            double result = MainWindow.Percent(1, 5);
            Assert.IsNotNull(result);
        }
        [TestMethod]
        public void Log()
        {
            double result = MainWindow.Percent(50, 10);
            Assert.AreEqual(5, result);
        }
        [TestMethod]
        public void PlusMinus()
        {
            double result1 = MainWindow.Plus(3, 5);
            double result2 = MainWindow.Minus(15, 7);
            Assert.AreEqual(result2, result1);
        }
        [TestMethod]
        public void DivMult()
        {
            double result1 = MainWindow.Multiply(7, 4);
            double result2 = MainWindow.Divide(31, 1);
            Assert.AreNotEqual(result2, result1);
        }
        //5 методов высокой сложности
        [TestMethod]
        public void ExPlusMethod()
        {
            Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => MainWindow.Plus(Convert.ToInt32("a"), 6)));
        }
        [TestMethod]
        public void ExMinusMethod()
        {
            Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => MainWindow.Minus(Convert.ToInt32("a"), 5)));
        }
        [TestMethod]
        public void ExDivMethod()
        {
            Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => MainWindow.Ctg(Convert.ToInt32("a"), 5)));
        }
        [TestMethod]
        public void ExRootMethod()
        {
            Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => MainWindow.Log(Convert.ToInt32("a"), 5)));
        }
        [TestMethod]
        public void ExSinMethod()
        {
            Assert.ThrowsException<AssertFailedException>(() => Assert.ThrowsException<SystemException>(() => MainWindow.Sin(Convert.ToInt32("a"))));
        }
    }
}
